<template>
    <div>
        <label class="offset-md-2 col-md-2 col-sm-3 col-form-label">{{label}}:&nbsp;</label>
        <div class="col-md-6">
            <input
                type="checkbox"
                class="form-control move-left"
                :name="name"
                :checked="field_value == 'on'"
                :disabled="this.$route.path === '/list'"
            />
        </div>
    </div>
</template>

<script>
export default {
    name: "Boolean",
    props: ["placeholder", "label", "name", "field_value"]
};
</script>

<style>
.move-left {
    width: auto !important;
    box-shadow: none;
}
</style>    